:adevice
    %error% 请不要连接多个设备，包括手机、网络ADB设备、安卓模拟器……
    echo.
    echo - 当前已连接设备如下
    adb devices -l
    set num=
    for /f "delims=" %%f in ('adb get-state') do ( set num=%%f )
    if not defined num (
        %error% 未成功连接到设备，开始等待3秒后重新检测
        timeout /T 3 /NOBREAK
        cls
        goto adevice
    )
    echo - 设备状态：!num!
    pause
